Skip to content
API list

Order API

Create order API

Create an eSIM purchase order from SimplifyTrip.

Request Headers
X-Signature - requiredstring

A signature is a string used to verify data integrity between your system and SimplifyTrip. Use checksumKey from API Key and HMAC_SHA256 to generate signature on alphabetically sorted data format. See Verify data with signature.

Request Body
trackId - requiredstring

ID generated by your system to identify the order. For example, when receiving webhook data, trackId helps map the event to the correct order.

items - requiredItem[]
subTrackId - requiredstring

Item ID

sku - requiredstring

Product SKU from the Products API list

quantity - requirednumber

Number of SIMs to purchase

Responses
200 OK
application/json
Success
successboolean
orderIdstring

ID generated by SimplifyTrip, used to query order information on SimplifyTrip

trackIdstring

ID provided by your system

itemsItem[]
subOrderIdstring

Item ID generated by SimplifyTrip

subTrackIdstring

Item ID provided by your system

sku string

Product SKU purchased

quantity number

Number of items purchased

typeeSIM | SIM

Product type

4xx/5xx Error
application/json
Error
timestamptimestamp
statusCodenumber
errorCodestring
messagestring
POST
/api/v1/orders
Sample Request
Try it on Swagger
Nodejs
PHP
C#
Java
Go
Curl

_57
// Using axios
_57
import axios from 'axios';
_57
_57
const options = {
_57
method: 'POST',
_57
url: 'https://merchant.simplifytrip.com/api/v1/orders',
_57
headers: {
_57
accept: 'application/json',
_57
'content-type': 'application/json',
_57
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_57
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_57
'x-signature': '412e915d2871504ed31be63c8f62a149a4410d34c4c42affc9006ef9917eaa03',
_57
}
_57
data: {
_57
'trackId': 'b4b08205-836e-4296-a054-52462089edf6',
_57
'items': [
_57
{
_57
'subTrackId': '958acd57-182f-4b5c-b408-5e93f646ddde',
_57
'sku': 'E23XY06GB08DFX',
_57
'quantity': 2
_57
}
_57
]
_57
}
_57
};
_57
_57
axios
_57
.request(options)
_57
.then(res => console.log(res.data))
_57
.catch(err => console.error(err));
_57
_57
// Using fetch api
_57
const url = 'https://merchant.simplifytrip.com/api/v1/orders';
_57
const options = {
_57
method: 'POST',
_57
headers: {
_57
accept: 'application/json',
_57
'content-type': 'application/json',
_57
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_57
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_57
'x-signature': '412e915d2871504ed31be63c8f62a149a4410d34c4c42affc9006ef9917eaa03',
_57
}
_57
body: JSON.stringify({
_57
"trackId": "b4b08205-836e-4296-a054-52462089edf6",
_57
"items": [
_57
{
_57
"subTrackId": "958acd57-182f-4b5c-b408-5e93f646ddde",
_57
"sku": "E23XY06GB08DFX",
_57
"quantity": 2
_57
}
_57
]
_57
}),
_57
};
_57
_57
fetch(url, options)
_57
.then(res => res.json())
_57
.then(json => console.log(json))
_57
.catch(err => console.error(err));

Sample Response
Success
Error

_14
{
_14
"success": true,
_14
"orderId": "658441501843542",
_14
"trackId": "b4b08205-836e-4296-a054-52462089edf6",
_14
"items": [
_14
{
_14
"subOrderId": "6740ce7f9d04259159bc6401",
_14
"subTrackId": "958acd57-182f-4b5c-b408-5e93f646ddde",
_14
"sku": "E23XY06GB08DFX",
_14
"quantity": 2,
_14
"type": "eSIM"
_14
}
_14
]
_14
}

Recharge data onto the SIM card

Top-up a data package onto a blank SIM card purchased from SimplifyTrip.

Request Headers
X-Signature - requiredstring

A signature is a string used to verify data integrity between your system and SimplifyTrip. Use checksumKey from API Key and HMAC_SHA256 to generate signature on alphabetically sorted data format. See Verify data with signature.

Request Body
trackId - requiredstring

ID generated by your system to identify the order. For example, when receiving webhook data, trackId helps map the event to the correct order.

items - requiredItem[]
subTrackId - requiredstring

Item ID

sku - requiredstring

Product SKU from the Products API list

iccids - requiredstring[]

List of SIM codes you want to top up.

In TEST_MODE, try the following ICCIDs:

'89860012017201244064', '89860012017201244085', '89860012017201244086', '89860012017201244087', '89860012017201244088', '89860012017201244092', '89860012017201244093', '89860012017201244094', '89860012017201244095', '89860012017201244096',

Responses
200 OK
application/json
Success
successboolean
orderIdstring

ID generated by SimplifyTrip, used to query order information on SimplifyTrip

trackIdstring

ID provided by your system

itemsItem[]
subOrderIdstring

Item ID generated by SimplifyTrip

subTrackIdstring

Item ID provided by your system

skustring

SKU of the topped up item

quantitynumber

Number of SIM cards that have been topped up

typeSIM_RECHARGE

Product type

4xx/5xx Error
application/json
Error
timestamptimestamp
statusCodenumber
errorCodestring
messagestring
POST
/api/v1/orders/recharge
Sample Request
Try it on Swagger
Nodejs
PHP
C#
Java
Go
Curl

_63
// Using axios
_63
import axios from 'axios';
_63
_63
const options = {
_63
method: 'POST',
_63
url: 'https://merchant.simplifytrip.com/api/v1/orders/recharge',
_63
headers: {
_63
accept: 'application/json',
_63
'content-type': 'application/json',
_63
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_63
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_63
'x-signature': '412e915d2871504ed31be63c8f62a149a4410d34c4c42affc9006ef9917eaa03',
_63
}
_63
data: {
_63
'trackId': 'b4b08205-836e-4296-a054-52462089edf6',
_63
'items': [
_63
{
_63
'subTrackId': '958acd57-182f-4b5c-b408-5e93f646ddde',
_63
'sku': 'E23XY06GB08DFX',
_63
'iccids': [
_63
'89860012017201244064',
_63
'89860012017201244085',
_63
],
_63
}
_63
]
_63
}
_63
};
_63
_63
axios
_63
.request(options)
_63
.then(res => console.log(res.data))
_63
.catch(err => console.error(err));
_63
_63
// Using fetch api
_63
const url = 'https://merchant.simplifytrip.com/api/v1/orders/recharge';
_63
const options = {
_63
method: 'POST',
_63
headers: {
_63
accept: 'application/json',
_63
'content-type': 'application/json',
_63
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_63
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_63
'x-signature': '412e915d2871504ed31be63c8f62a149a4410d34c4c42affc9006ef9917eaa03',
_63
}
_63
body: JSON.stringify({
_63
"trackId": "b4b08205-836e-4296-a054-52462089edf6",
_63
"items": [
_63
{
_63
"subTrackId": "958acd57-182f-4b5c-b408-5e93f646ddde",
_63
"sku": "E23XY06GB08DFX",
_63
"iccids": [
_63
"89860012017201244064",
_63
"89860012017201244085"
_63
]
_63
}
_63
]
_63
}),
_63
};
_63
_63
fetch(url, options)
_63
.then(res => res.json())
_63
.then(json => console.log(json))
_63
.catch(err => console.error(err));

Sample Response
Success
Error

_14
{
_14
"success": true,
_14
"orderId": "658441501843542",
_14
"trackId": "b4b08205-836e-4296-a054-52462089edf6",
_14
"items": [
_14
{
_14
"subOrderId": "6740ce7f9d04259159bc6401",
_14
"subTrackId": "958acd57-182f-4b5c-b408-5e93f646ddde",
_14
"sku": "E23XY06GB08DFX",
_14
"quantity": 2,
_14
"type": "SIM_RECHARGE"
_14
}
_14
]
_14
}

Cancel order API

Cancel an order by the provided ID.

Request Headers
X-Signature - requiredstring

A signature is a string used to verify data integrity between your system and SimplifyTrip. Use checksumKey from API Key and HMAC_SHA256 to generate signature on alphabetically sorted data format. See Verify data with signature.

Request Body
orderId - required

string ID of the order to cancel

reason

string Cancel reason (optional)

Responses
200 OK
application/json
Success
idstring
trackIdstring
createdAtdatetime
updatedAtdatetime
statusCANCELED
reasonstring
itemsItem[]
idstring
subTrackIdstring
statusCANCELED
skustring
quantitynumber
typeeSIM | SIM | SIM_RECHARGE
4xx/5xx Error
application/json
Error
timestamptimestamp
statusCodenumber
errorCodestring
messagestring
POST
/api/v1/orders/cancel
Sample Request
Try it on Swagger
Nodejs
PHP
C#
Java
Go
Curl

_45
// Using axios
_45
import axios from 'axios';
_45
_45
const options = {
_45
method: 'POST',
_45
url: 'https://merchant.simplifytrip.com/api/v1/orders/cancel',
_45
headers: {
_45
accept: 'application/json',
_45
'content-type': 'application/json',
_45
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_45
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_45
'x-signature': '412e915d2871504ed31be63c8f62a149a4410d34c4c42affc9006ef9917eaa03',
_45
},
_45
data: {
_45
'orderId': '658441501843542',
_45
'reason': 'Order canceled by user'
_45
}
_45
};
_45
_45
axios
_45
.request(options)
_45
.then(res => console.log(res.data))
_45
.catch(err => console.error(err));
_45
_45
// Using fetch api
_45
const url = 'https://merchant.simplifytrip.com/api/v1/orders/cancel';
_45
const options = {
_45
method: 'POST',
_45
headers: {
_45
accept: 'application/json',
_45
'content-type': 'application/json',
_45
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_45
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_45
'x-signature': '412e915d2871504ed31be63c8f62a149a4410d34c4c42affc9006ef9917eaa03',
_45
},
_45
body: JSON.stringify({
_45
"orderId": "658441501843542",
_45
"reason": "Order canceled by user"
_45
}),
_45
};
_45
_45
fetch(url, options)
_45
.then(res => res.json())
_45
.then(json => console.log(json))
_45
.catch(err => console.error(err));

Sample Response
Success
Error

_18
{
_18
"id": "658441501843542",
_18
"trackId": "b4b08205-836e-4296-a054-52462089edf6",
_18
"createdAt": "2024-11-22T18:33:35.127Z",
_18
"updatedAt": "2024-11-22T18:33:35.577Z",
_18
"status": "CANCELED",
_18
"reason": "Order canceled by user",
_18
"items": [
_18
{
_18
"id": "6740ce7f9d04259159bc6401",
_18
"subTrackId": "958acd57-182f-4b5c-b408-5e93f646ddde",
_18
"status": "CANCELED",
_18
"quantity": 2,
_18
"sku": "E23XY06GB08DFX",
_18
"type": "eSIM"
_18
}
_18
]
_18
}

Get order details API

Returns detailed information of an order by the provided ID.

Path Parameters
id - requiredstring

Order ID or trackId to query. Make sure trackId is unique.

Responses
200 OK
application/json
Success
idstring

Order ID generated by SimplifyTrip

trackIdstring

System-generated ID

createdAtdatetime
updatedAtdatetime
statusNEW | PROCESSING | CONFIRMED | DELIVERING | SUCCESS | ERROR | CANCELED | REFUNDED | PARTIALLY_REFUNDED | REFUNDING

Order status

errorstring

Order failure reason, present when status = ERROR

totalnumber

Total order value

itemsItem[]
idstring

Item ID

subTrackIdstring

Track Item ID

statusNEW | PROCESSING | CONFIRMED | DELIVERING | SUCCESS | ERROR | CANCELED | REFUNDED | PARTIALLY_REFUNDED | REFUNDING

Item status

skustring

Product SKU from product list API

quantitynumber

Number of SIMs to purchase

pricenumber

Unit price after applicable discounts

typeeSIM | SIM | SIM_RECHARGE

Product type

eSims
4xx/5xx Error
application/json
Error
timestamptimestamp
statusCodenumber
errorCodestring
messagestring
GET
/api/v1/orders/:id
Sample Request
Try it on Swagger
Nodejs
PHP
C#
Java
Go
Curl

_35
// Using axios
_35
import axios from 'axios';
_35
_35
const options = {
_35
method: 'GET',
_35
url: 'https://merchant.simplifytrip.com/api/v1/orders/658441501843542',
_35
headers: {
_35
accept: 'application/json',
_35
'content-type': 'application/json',
_35
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_35
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_35
}
_35
};
_35
_35
axios
_35
.request(options)
_35
.then(res => console.log(res.data))
_35
.catch(err => console.error(err));
_35
_35
// Using fetch api
_35
const url = 'https://merchant.simplifytrip.com/api/v1/orders/658441501843542';
_35
const options = {
_35
method: 'GET',
_35
headers: {
_35
accept: 'application/json',
_35
'content-type': 'application/json',
_35
authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxxxx',
_35
'x-api-key': 'pk_live_xxxxxxxxxxxxxxxxxx',
_35
}
_35
};
_35
_35
fetch(url, options)
_35
.then(res => res.json())
_35
.then(json => console.log(json))
_35
.catch(err => console.error(err));

Sample Response
Success
Error

_42
{
_42
"id": "658441501843542",
_42
"trackId": "b4b08205-836e-4296-a054-52462089edf6",
_42
"createdAt": "2024-11-22T18:33:35.127Z",
_42
"updatedAt": "2024-11-22T18:33:35.577Z",
_42
"status": "SUCCESS",
_42
"total": 840000,
_42
"error": null,
_42
"items": [
_42
{
_42
"id": "6740ce7f9d04259159bc6401",
_42
"subTrackId": "958acd57-182f-4b5c-b408-5e93f646ddde",
_42
"status": "SUCCESS",
_42
"quantity": 2,
_42
"price": 420000,
_42
"sku": "E23XY06GB08DFX",
_42
"type": "eSIM",
_42
"eSims": [
_42
{
_42
"qrCodeContent": "LPA:1$SECSMSMINIAPP.EASTCOMPEACE.COM$502F97EF09144E0C9D62FD781E259916",
_42
"qrCodeImg": "https://files.simplifytrip.com/a11dd3c438f38f5383fa17c8ea2de3ef.png",
_42
"iccid": "89812003916820397854",
_42
"planAPN": "plus.4g",
_42
"smdpAddress": "SECSMSMINIAPP.EASTCOMPEACE.COM",
_42
"pin": "1234",
_42
"puk": "15095300",
_42
"activationCode": "502F97EF09144E0C9D62FD781E259916"
_42
},
_42
{
_42
"qrCodeContent": "LPA:1$SECSMSMINIAPP.EASTCOMPEACE.COM$502F97EF09144E0C9D62FD781E255011",
_42
"qrCodeImg": "https://files.simplifytrip.com/a11dd3c438f38f5383fa17c8ea2de3ef.png",
_42
"iccid": "89812003916820392108",
_42
"planAPN": "plus.4g",
_42
"smdpAddress": "SECSMSMINIAPP.EASTCOMPEACE.COM",
_42
"pin": "1234",
_42
"puk": "15095300",
_42
"activationCode": "502F97EF09144E0C9D62FD781E255011"
_42
}
_42
]
_42
}
_42
]
_42
}